Loading...
Searching...
No Matches
time.h File Reference
`#include <stdint.h>`
`#include <time.h>`

Go to the source code of this file.

## Data Structures

struct | ARC_Time
| the ARC_Time data structre based on time.h (mainly added to avoid having to type `struct tm` every time) More...

## Typedefs

typedef struct ARC_Time | ARC_Time
| the ARC_Time data structre based on time.h (mainly added to avoid having to type `struct tm` every time)

## Functions

ARC_Time | ARC_Time_CopyFromStructTmPtr (struct tm *time)
| copies the contents of a tm struct pointer into the ARC_Time type

## Typedef Documentation

## ARC_Time

typedef struct ARC_Time ARC_Time

the ARC_Time data structre based on time.h (mainly added to avoid having to type `struct tm` every time)

seconds == tm_sec [0,60] minutes == tm_min [0,59] hour == tm_hour [0,23]

day == tm_yday Day of year [0,365] month == tm_mon Month of year [0,11] year == tm_year Years since 1900

dayOfWeek == tm_wday Day of week [0,6] (Sunday =0) dayOfMonth == tm_mday Day of month [1,31]

daylightSavingsFlag == tm_isdst Daylight Savings flag

## Function Documentation

## ARC_Time_CopyFromStructTmPtr()

ARC_Time ARC_Time_CopyFromStructTmPtr | ( | struct tm * | time | ) |

copies the contents of a tm struct pointer into the ARC_Time type

Parameters

  time | the struct tm type to copy

Returns
  the contents of a struct tm as an ARC_Time